Bug 123384 - (IT_43732) excessive rquota errors
excessive rquota errors
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: quota (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Amit Gud
Depends On:
  Show dependency treegraph
Reported: 2004-05-17 16:51 EDT by System Administrator
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-28 14:13:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description System Administrator 2004-05-17 16:51:41 EDT
Description of problem:  
rquotad errors on NFS server filling up /var/log/messages.

May 13 11:28:49 <server> rpc.rquotad: Can't find filesystem
mountpoint for directory /export/rd01/stack
May 13 11:28:49 <server> rpc.rquotad: No correct mountpoint

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. share filesystem from server witout quotas setup
2. mount filesystem on client
3. run 'quota -v' on client
Actual results: 

error message on server claiming it can't find the mount point.

Expected results:

no error messages, or at least something more specific to their being
no quota files.  

Additional info:

Mounting the exported filesystem with quota options turned on and
running a 'quotacheck -acug' eliminates the problem, but creates quota
files in root directory of every exported filesystem.

The missing mountpoint error is misleading as well, initial reaction
was that it was an nfs or automount related problem.  I don't see the
need for this errror message in the first place.  If no quotas are set
up on a given exported filesystem, the rquotad daemon should just
ignore the info request... i.e. a "No quotas here" message sent back
to the client that requested the info.

Suggested fixes by other people were along the lines of shutting
rquotad off.  This isn't a good solution, because I want quotas on
exported home directories... but why should I be forced into creating
quota files for all exported filesystems just to avoid my
/var/log/messages becoming a million lines of rquota errors.  Maybe
this isn't a bug, but it certainly qualifies as a multi-celled
nuisance in my book, unless somebody can definitively explain to me
why every exported filesystem is required to have a quota file set up.
Comment 1 Tim Evans 2004-10-11 14:21:02 EDT
I'm also seeing loads of these errors, and also want to keep
rcp.quotad running. I would prefer not to have to set up lots of quota
Comment 2 Tim Evans 2004-10-11 14:25:06 EDT
Just as a follow up - I'm not using fstab to mount most of the
filesystems, as I'm running heartbeat. It's controlling
mounting/umounting of the filesystems.
Comment 3 John Birck 2004-10-25 10:38:33 EDT
Same problem but with using fstab. Mountclient runs with Solaris,
nfs-Server Redhat As3.0. Step 3., running quota is not necessary,
logfile is overflod just by mounting.

Note You need to log in before you can comment on or make changes to this bug.